| Face Engine SDK 5.31.2 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IImageModificationEstimator Struct Referenceabstract
Estimators

Image modification estimator interface. More...

`#include <IImageModificationEstimator.h>`

Inheritance diagram for fsdk::IImageModificationEstimator:

## Public Member Functions
virtual ResultValue< FSDKError, ImageModificationEstimation > | estimate (const Image &image) const noexcept=0
| Estimate the likelihood that the image is unmodified. More...
virtual Result< FSDKError > | estimate (Span< const Image > images, Span< ImageModificationEstimation > out) const noexcept=0
| For each of the images estimate the likelihood that the image is unmodified. More...
virtual Result< FSDKError > | validate (Span< const Image > images, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple images in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Image modification estimator interface.

## Member Function Documentation

## ◆ estimate() [1/2]

virtual ResultValue<FSDKError, ImageModificationEstimation> fsdk::IImageModificationEstimator::estimate | ( | const Image & | image | ) | const
| pure virtual noexcept

Estimate the likelihood that the image is unmodified.

Parameters

  [in] | image | source image.

Returns
  ResultValue with error code and ImageModificationEstimation estimation.

See also
  IImageModificationEstimation, Image, ResultValue and FSDKError for details.

Note
  image format must be R8G8B8,

See also
  Format.

## ◆ estimate() [2/2]

virtual Result<FSDKError> fsdk::IImageModificationEstimator::estimate | ( | Span< const Image > | images,
|  | Span< ImageModificationEstimation > | out
| ) |  | const
| pure virtual noexcept

For each of the images estimate the likelihood that the image is unmodified.

Parameters

  [in] | images | span of source images.
  [out] | out | span of output estimations.

Returns
  Result with error code.

See also
  Span, ImageModificationEstimation, Image, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate()

virtual Result<FSDKError> fsdk::IImageModificationEstimator::validate | ( | Span< const Image > | images,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple images in a single function call.

Parameters

  [in] | images | span of source images.
  [out] | errors | output span of errors for each image.

Returns
  Overall error code for all images

See also
  Span, Image, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IImageModificationEstimator.h